Developer Portal

Pending OrdersGET

Return the working/inactive orders for the specified trading account.

View as Markdown
GET
/accounts/{id}/orders

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://example.com/accounts/<string>/orders" \
  -H "Authorization: <token>"

A successful response.

{
  "orders": [
    {
      "id": "string",
      "accountId": "string",
      "groupId": "string",
      "symbolId": "string",
      "symbolName": "string",
      "positionId": "string",
      "clientOrderId": "string",
      "ipAddress": "string",
      "managerId": "string",
      "parentOrderId": "string",
      "cancelsOrderId": "string",
      "venueId": "string",
      "venueOrderId": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "expirationDate": "2019-08-24T14:15:22Z",
      "qtyOriginal": 0.1,
      "qtyFilled": 0.1,
      "seenPrice": 0.1,
      "limitPrice": 0.1,
      "stopPrice": 0.1,
      "slippage": 0.1,
      "isClosing": true,
      "trailingOffset": "string",
      "trailingStep": "string",
      "stopLossPts": "string",
      "takeProfitPts": "string",
      "stopLossPrice": 0.1,
      "takeProfitPrice": 0.1,
      "status": "ORDER_STATUS_UNSPECIFIED",
      "side": "TRADE_SIDE_UNSPECIFIED",
      "type": "ORDER_TYPE_UNSPECIFIED",
      "timeInForce": "ORDER_TIF_UNSPECIFIED",
      "comment": "string",
      "fillPrice": 0.1,
      "fillPriceRaw": 0.1,
      "unitsOriginal": 0.1,
      "unitsFilled": 0.1,
      "completed": true,
      "initialMargin": 0.1,
      "triggerQuote": {
        "symbolId": "string",
        "bid": 0.1,
        "ask": 0.1,
        "volume": "string",
        "datetime": "2019-08-24T14:15:22Z"
      },
      "md": "string"
    }
  ]
}